class Trendvote

This file provides property and method documentation for the model trendvote.

This file is generated by the XELOS command line tool xf kickstart. It will be overwritten when new kickstart actions are performed.

Add @mixin \XELOS\Modules\Trendvote\Docs\ClassGenerated\Model\Trendvote to the model to get access to the properties.

Properties

int $id
int $user_id
int $group_id
string $title:

stored in MySQL as varchar

string $question:

stored in MySQL as varchar

string $icon:

stored in MySQL as varchar

string $answers:

stored in MySQL as text

bool $multivote:

stored in MySQL as tinyint

string $status:

enum draft|active','closed

bool $timing:

stored in MySQL as tinyint

int $start_at:

stored in MySQL as timestamp

int $end_at:

stored in MySQL as timestamp

int $report_display
string $report_type:

enum CHART_PIE|LIST

int $created_at:

stored in MySQL as timestamp

int $updated_at:

stored in MySQL as timestamp

Methods

Trendvote[]
all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

int
count_all(mixed $sql_params)

Returns the count

int
delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

Trendvote[]
find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Details

at line 39
Trendvote[] all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

Parameters

mixed $sql_params

Return Value

Trendvote[]

at line 39
int count_all(mixed $sql_params)

Returns the count

Parameters

mixed $sql_params

Return Value

int

at line 39
int delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

Parameters

int $id
mixed $sql_params

Return Value

int

at line 39
Trendvote[] find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

Trendvote[]

at line 39
Trendvote find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

Trendvote